<?php

/**
 * Fired during plugin activation
 *
 * @link       https://rescuethemes.com
 * @since      1.0.0
 *
 * @package    Nutritionwp
 * @subpackage Nutritionwp/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Nutritionwp
 * @subpackage Nutritionwp/includes
 * @author     rescuethemes.com <plugins@rescuethemes.com>
 */
class Nutritionwp_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		
		Nutritionwp_Admin::register_cpt();
		flush_rewrite_rules( false );

	}

}
